[SIP SIMPLE client] SIPCLIENT status

Klaus Darilion klaus.mailinglists at pernau.at
Thu Apr 9 15:58:53 CEST 2009


Hi!

You should update debian/docs and MANIFEST.in (e.g. remove 
config.ini.sample)

regards
klaus

Adrian Georgescu schrieb:
> Klaus,
> 
> If you download all dependencies: python-msprlib, python-xcaplib, 
> python-eventlet, python-application and
> 
> cd package
> python setup.py sdist
> cd dist
> untar the versioned tar file
> cd dir
> debuild 
> 
> in each of them you end up with working packages for your Debian system.
> 
> Adrian
> 
> 
> On Apr 7, 2009, at 8:45 PM, Klaus Darilion wrote:
> 
>> Dan Pascu wrote:
>>> Lenny is the latest stable. It was released less than 2 months ago, 
>>> so it shouldn't be that different from testing/unstable anyway. As 
>>> far as I remember we do not depend on anything that wasn't in debian 
>>> 2 months ago, however we depend on some stuff that is not in debian 
>>> at all (like eventlet).
>>
>> Ok. I will try with lenny packages (although some of them have lower 
>> version number then the required ones).
>>
>> regards
>> klaus
>>
>>
>>> On Tuesday 07 April 2009, Adrian Georgescu wrote:
>>>> I am not sure which version is lenny.
>>>>
>>>> What libraries do you miss on your OS?
>>>>
>>>> Adrian
>>>>
>>>> On Apr 7, 2009, at 1:33 PM, Klaus Darilion wrote:
>>>>> Hi Adrian!
>>>>>
>>>>> Klaus Darilion schrieb:
>>>>>> ok. thanks. I will test it soon.
>>>>> Unfortunately Debian lenny does not fulfill the software
>>>>> requirements and I failed to install the required libraries manually.
>>>>>
>>>>> Can you estimate when the packages will be released?
>>>>>
>>>>> thanks
>>>>> klaus
>>>>>
>>>>>> regards
>>>>>> klaus
>>>>>>
>>>>>> Adrian Georgescu wrote:
>>>>>>> Hi Klaus,
>>>>>>>
>>>>>>> The development trunk is now fully working when you update the
>>>>>>> dependencies. We shall make a new release soon for, in the mean
>>>>>>> time you can safely use the darcs repository to build your
>>>>>>> project. The API has changed and you should check the developer
>>>>>>> guide wiki page.
>>>>>>>
>>>>>>> If you use only the command line tools you must migrate your
>>>>>>> config.ini settings to the configuration framework by using the
>>>>>>> sip_migrate_settings script.
>>>>>>>
>>>>>>> Regards,
>>>>>>> Adrian
>>>>>>>
>>>>>>> On Mar 24, 2009, at 9:36 PM, Klaus Darilion wrote:
>>>>>>>> Hi!
>>>>>>>>
>>>>>>>> I just tried the sipclient framework. I installed stable (0.4)
>>>>>>>> release on debian lenny using the provided packages.
>>>>>>>>
>>>>>>>> Then I tried sending an IM using sip_message:
>>>>>>>>
>>>>>>>> sip_message -s stdout sip:klaus.darilion at nic.at43.at
>>>>>>>> Accounts available: default
>>>>>>>> Using default account: klaus3000 at iptel.org 
>>>>>>>> <mailto:klaus3000 at iptel.org>
>>>>>>>> <mailto:klaus3000 at iptel.org
>>>>>>>>
>>>>>>>> Press Ctrl+D on an empty line to end input and send the MESSAGE
>>>>>>>> request.
>>>>>>>> asdf
>>>>>>>> Sending MESSAGE from "sip:klaus3000 at iptel.org" to
>>>>>>>> "sip:klaus.darilion at nic.at43.at " using proxy
>>>>>>>> udp:213.192.59.75:5060
>>>>>>>> error: Exception occured in observer <__main__.EventHandler
>>>>>>>> object at 0x8cc9bac> while handling notification
>>>>>>>> 'SCEngineSIPTrace' Traceback (most recent call last):
>>>>>>>> File "/var/lib/python-support/python2.5/sipsimple/engine.py",
>>>>>>>> line 96, in _run
>>>>>>>>  failed = self._ua.poll()
>>>>>>>> File "/var/lib/python-support/python2.5/sipsimple/engine.py",
>>>>>>>> line 117, in _handle_event
>>>>>>>>  self.notification_center.post_notification(event_name, sender,
>>>>>>>> NotificationData(**kwargs))
>>>>>>>> --- <exception caught here> ---
>>>>>>>> File "/var/lib/python-support/python2.5/application/
>>>>>>>> notification.py", line 142, in post_notification
>>>>>>>>  observer.handle_notification(notification)
>>>>>>>> File "/usr/bin/sip_message", line 65, in handle_notification
>>>>>>>>  logger.log(notification.name, **notification.data.__dict__)
>>>>>>>> exceptions.AttributeError: 'Logger' object has no attribute 'log'
>>>>>>>> error: Exception occured in observer <__main__.EventHandler
>>>>>>>> object at 0x8cc9bac> while handling notification
>>>>>>>> 'SCEngineSIPTrace'
>>>>>>>>
>>>>>>>> and so on ...
>>>>>>>>
>>>>>>>> Thus I wonder is this just a problem of this single application
>>>>>>>> or is sip client in general not stable yet?
>>>>>>>>
>>>>>>>> Will it get better using development version from repository?
>>>>>>>>
>>>>>>>> thanks
>>>>>>>> klaus
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> SIPclient mailing list
>>>>>>>> SIPclient at lists.ag-projects.com 
>>>>>>>> <mailto:SIPclient at lists.ag-projects.com>
>>>>>>>> <mailto:SIPclient at lists.ag-projects.com
>>>>>>>>
>>>>>>>> http://lists.ag-projects.com/mailman/listinfo/sipclient
>>>>>> _______________________________________________
>>>>>> SIPclient mailing list
>>>>>> SIPclient at lists.ag-projects.com 
>>>>>> <mailto:SIPclient at lists.ag-projects.com>
>>>>>> http://lists.ag-projects.com/mailman/listinfo/sipclient
>>
> 




More information about the SIPBeyondVoIP mailing list